{ config, pkgs, lib, ... }:

{
    programs.kitty = {
        enable = true;
        shellIntegration.enableZshIntegration = true;
        font = {
            name = "'ZedMono Nerd Font' style='Extended Light' features=+ss05";
            size = lib.mkDefault 15;

        };
        settings = {
            cursor_shape = "block";
            cursor_beam_thickness = 1;
            scrollback_lines = 100000;
            enable_audio_bell = "no";
            "modify_font" = "cell_height 115%";

            # Theme
            background = "#000010";
            foreground = "#F8F8F2";
            cursor = "#bbbbbb";
            selection_background = "#b4d5ff";
            color0 = "#121212";
            color8 = "#545454";
            color1 = "#fa2573";
            color9 = "#f5669c";
            color2 = "#97e123";
            color10 = "#b0e05e";
            color3 = "#dfd460";
            color11 = "#fef26c";
            color4 = "#0f7fcf";
            color12 = "#00afff";
            color5 = "#8700ff";
            color13 = "#af87ff";
            color6 = "#42a7cf";
            color14 = "#50cdfe";
            color7 = "#bbbbbb";
            color15 = "#ffffff";
            selection_foreground = "#121212";
            background_opacity = "0.3";
        };
    };
}
